## artemis 1.0.5

=== DESCRIPTION ===
Package: artemis
Title: Analysis and Simulation of Environmental DNA Experiments
Version: 1.0.5
Authors@R: c(person(given = "Matt", family = "Espe",
		   role = c("aut", "cre"),
		   email = "mespe@ucdavis.edu"),
		   person(given = "Myfanwy", family = "Johnston",
		   role = c("aut"),
		   email = "myfanwy.johnston@fishsciences.net"))
Description: Provides a modeling framework for the design and analysis of experiments collecting environmental DNA.
License: GPL (>= 3)
Depends: methods, graphics, stats, ggplot2, R (>= 3.5.0), loo
Imports: Rcpp (>= 1.0.1), rstan (>= 2.19.0), lme4 (>= 1.1.21),
        rstantools (>= 2.1.1), utils
Encoding: UTF-8
LazyData: true
NeedsCompilation: yes
SystemRequirements: GNU make
RoxygenNote: 7.1.1
Suggests: testthat, knitr, rmarkdown, markdown, covr
VignetteBuilder: knitr
Biarch: true
LinkingTo: BH (>= 1.66.0), Rcpp (>= 0.12.0), RcppEigen (>= 0.3.3.3.0),
        RcppParallel (>= 5.0.1), rstan (>= 2.18.1), StanHeaders (>=
        2.18.0)
Packaged: 2021-05-07 13:48:58 UTC; mespe
Author: Matt Espe [aut, cre],
  Myfanwy Johnston [aut]
Maintainer: Matt Espe <mespe@ucdavis.edu>
Repository: CRAN
Date/Publication: 2021-05-10 07:42:14 UTC
