## artemis 1.0.7

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: artemis
 Title: Analysis and Simulation of Environmental DNA Experiments
-Version: 1.0.5
+Version: 1.0.7
 Authors@R: c(person(given = "Matt", family = "Espe",
 		   role = c("aut", "cre"),
 		   email = "mespe@ucdavis.edu"),
@@ -23,9 +23,9 @@
 LinkingTo: BH (>= 1.66.0), Rcpp (>= 0.12.0), RcppEigen (>= 0.3.3.3.0),
         RcppParallel (>= 5.0.1), rstan (>= 2.18.1), StanHeaders (>=
         2.18.0)
-Packaged: 2021-05-07 13:48:58 UTC; mespe
+Packaged: 2021-06-14 18:39:28 UTC; mattespe
 Author: Matt Espe [aut, cre],
   Myfanwy Johnston [aut]
 Maintainer: Matt Espe <mespe@ucdavis.edu>
 Repository: CRAN
-Date/Publication: 2021-05-10 07:42:14 UTC
+Date/Publication: 2021-06-14 22:10:02 UTC
