## artemis 1.1.1

=== DESCRIPTION ===
--- 
+++ 
@@ -1,6 +1,6 @@
 Package: artemis
 Title: Analysis and Simulation of Environmental DNA Experiments
-Version: 1.1.0
+Version: 1.1.1
 Authors@R: c(person(given = "Matt", family = "Espe",
 		   role = c("aut", "cre"),
 		   email = "mespe@ucdavis.edu"),
@@ -23,9 +23,9 @@
 LinkingTo: BH (>= 1.66.0), Rcpp (>= 0.12.0), RcppEigen (>= 0.3.3.3.0),
         RcppParallel (>= 5.0.1), rstan (>= 2.18.1), StanHeaders (>=
         2.18.0)
-Packaged: 2021-08-09 20:43:49 UTC; matt
+Packaged: 2021-09-07 22:33:04 UTC; mattespe
 Author: Matt Espe [aut, cre],
   Myfanwy Johnston [aut]
 Maintainer: Matt Espe <mespe@ucdavis.edu>
 Repository: CRAN
-Date/Publication: 2021-08-19 20:10:02 UTC
+Date/Publication: 2021-09-08 19:10:09 UTC
