=== debian/changelog ===
artemis (16.0.0+dfsg-4) unstable; urgency=high

  * Add dependency on libbiojava-java, a package required for
    Artemis to function.

 -- Afif Elghraoui <afif@ghraoui.name>  Fri, 20 Nov 2015 21:15:22 -0800

artemis (16.0.0+dfsg-3) unstable; urgency=medium

  [ Afif Elghraoui ]
  * Add upstream-contact and update project homepage
  * Add /usr/bin/bamview and a desktop entry for it
  * Note in the description that additional utilities are included

  [ Sascha Steinbiss ]
  * Rename methods to avoid name clash in Java 8 (Closes: #804091)

 -- Afif Elghraoui <afif@ghraoui.name>  Sun, 08 Nov 2015 12:51:37 -0800

artemis (16.0.0+dfsg-2) unstable; urgency=medium

  [ Afif Elghraoui ]
  * Rename artemis.desktop to avoid file name conflict (Closes: 803945)

  [ Emmanuel Bourg ]
  * Depend on libcommons-net-java instead of libcommons-net2-java

 -- Afif Elghraoui <afif@ghraoui.name>  Wed, 04 Nov 2015 21:19:08 -0800

artemis (16.0.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #802739)

 -- Afif Elghraoui <afif@ghraoui.name>  Fri, 23 Oct 2015 00:15:20 -0700
