=== debian/control ===
Source: artemis
Section: science
Priority: optional
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders:
	Afif Elghraoui <afif@ghraoui.name>
Build-Depends:
	debhelper (>= 9),
	default-jdk,
	javahelper,
	libbiojava-java,
	libj2ssh-java,
	libibatis-java,
	liblog4j1.2-java,
	libpostgresql-jdbc-java,
	picard-tools,
	libsam-java,
	libcommons-net-java,
	libbatik-java,
	jemboss,
# For tests
	ant,
	ant-optional,
	junit4,
	libhamcrest-java,
# To convert gifs to png because gif is not a supported icon format
	imagemagick
Standards-Version: 3.9.6
Homepage: http://www.sanger.ac.uk/science/tools/artemis
Vcs-Git: git://anonscm.debian.org/debian-med/artemis.git
Vcs-Browser: http://anonscm.debian.org/cgit/debian-med/artemis.git

Package: artemis
Architecture: all
Depends:
	${misc:Depends},
	${java:Depends},
# java:Depends adds a dependency on a versioned biojava, but that does not
# contain the required biojava.jar file
	libbiojava-java,
Description: genome browser and annotation tool
 Artemis is a genome browser and annotation tool that allows visualisation of
 sequence features, next generation data and the results of analyses within the
 context of the sequence, and also its six-frame translation. 
 .
 This package includes the Artemis genome browser, the Artemis Comparison
 Tool (ACT), and the DNAplotter and BamView utilities
