=== debian/rules ===
#!/usr/bin/make -f

#DH_VERBOSE = 1


DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

JAVA_HOME=/usr/lib/jvm/default-java

CUPBOARD = biojava				\
           j2ssh-core				\
           ibatis				\
           log4j-1.2				\
           postgresql-jdbc3			\
           picard				\
           sam					\
           commons-net				\
           batik-awt-util			\
           batik-dom				\
           batik-ext				\
           batik-svggen				\
           batik-util				\
           batik-xml

# hack to be able to use a space as an argument to the subst function
space=
space+=

CLASSPATH := $(foreach jar, $(CUPBOARD), /usr/share/java/$(jar).jar)
CLASSPATH += /usr/share/EMBOSS/jemboss/lib/jemboss.jar \
             $(CURDIR)
export CLASSPATH := $(subst $(space),:,$(strip $(CLASSPATH)))

%:
	dh $@ --with javahelper

override_dh_auto_build:
	$(MAKE) jar
	sed 's|@CLASSPATH@|$(subst :,$(space),$(subst $(CURDIR),/usr/share/java/artemis.jar,$(CLASSPATH)))|g' debian/artemis.manifest.in > \
		debian/artemis.manifest
	convert images/helix.gif -resize 96x96\! images/helix.png

override_dh_auto_test:
	cd test && ant -f build-test.xml test-headless -DEMBOSS_ROOT=/usr

override_dh_auto_clean:
	dh_auto_clean
	$(RM) debian/artemis.manifest
	$(RM) images/helix.png
