=== debian/watch ===
version=3

opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg$//,filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/artemis-$1.tar.gz/" \
         https://github.com/sanger-pathogens/Artemis/releases (?:.*/)?v?(\d[\d\.]*)\.tar\.gz
