## artemis 16.0.17%2Bdfsg

=== debian/changelog ===
artemis (16.0.17+dfsg-1) unstable; urgency=medium

  [ Sascha Steinbiss ]
  * Team upload.
  * New upstream release.
  * Refresh patches.
  * Avoid use of deprecated SAM access method to fix FTBFS.
    Closes: 846671

  [ Andreas Tille ]
  * Cleanup patches and add DEP3 headers
  * debhelper 10
  * cme fix dpkg-control
  * d/watch: version=4

 -- Sascha Steinbiss <satta@debian.org>  Thu, 08 Dec 2016 09:39:12 +0100

artemis (16.0.0+dfsg-5) unstable; urgency=medium

  [ Steffen Moeller and Jon Ison ]
  * Introduced EDAM annotation

  [ Sascha Steinbiss ]
  * Bump Standards-Version
  * Use secure Vcs-*

  [ Sascha Steinbiss and Afif Elghraoui ]
  * Patch code to use new htsjdk API (Closes: #808851)

 -- Afif Elghraoui <afif@debian.org>  Sat, 26 Mar 2016 12:26:38 -0700
