=== debian/changelog ===
artemis (16.0.17+dfsg-3) unstable; urgency=medium

  * Team upload

  [ Steffen Moeller ]
  * debian/upstream/metadata:
    - RRID -> SciCrunch
    - Added ref to OMICtools and bio.tools

  [ Fabian Klötzl ]
  * add batik-all.jar to classpath (Closes: #879384)

  [ Andreas Tille ]
  * Standards-Version: 4.1.1

 -- Fabian Klötzl <kloetzl@evolbio.mpg.de>  Mon, 23 Oct 2017 10:38:42 +0200

artemis (16.0.17+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Depends: jarwrapper
    Closes: #859660

 -- Andreas Tille <tille@debian.org>  Sun, 14 May 2017 07:40:05 +0200
