=== debian/control ===
Source: artemis
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Afif Elghraoui <afif@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper (>= 10),
               default-jdk,
               javahelper,
               libbiojava-java,
               libj2ssh-java,
               libibatis-java,
               liblog4j1.2-java,
               libpostgresql-jdbc-java,
               picard-tools,
               libhtsjdk-java,
               libcommons-net-java,
               libcommons-lang3-java,
               libbatik-java,
               jemboss,
# For tests
               ant,
               ant-optional,
               junit4,
               libhamcrest-java,
# To convert gifs to png because gif is not a supported icon format
               imagemagick
Standards-Version: 4.1.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/artemis.git
Vcs-Git: https://anonscm.debian.org/git/debian-med/artemis.git
Homepage: http://www.sanger.ac.uk/science/tools/artemis

Package: artemis
Architecture: all
Depends: ${misc:Depends},
         ${java:Depends},
# java:Depends adds a dependency on a versioned biojava, but that does not
# contain the required biojava.jar file
         libbiojava-java,
         jarwrapper
Description: genome browser and annotation tool
 Artemis is a genome browser and annotation tool that allows visualisation of
 sequence features, next generation data and the results of analyses within the
 context of the sequence, and also its six-frame translation. 
 .
 This package includes the Artemis genome browser, the Artemis Comparison
 Tool (ACT), and the DNAplotter and BamView utilities.
