=== debian/rules ===
--- 
+++ 
@@ -14,8 +14,10 @@
            log4j-1.2				\
            postgresql-jdbc3			\
            picard				\
-           sam					\
+           htsjdk				\
            commons-net				\
+           commons-lang3			\
+           batik-all				\
            batik-awt-util			\
            batik-dom				\
            batik-ext				\
