=== debian/changelog ===
artemis (17.0.1+dfsg-2) unstable; urgency=medium

  * Add myself to Uploaders to have at least one human uploader after
    Afif removed himself (thanks for your previous work, Afif)
  * Standards-Version: 4.3.0
  * Add primitiv autopkgtest (no idea how to do better for gui programs)
  * Architecture: amd64 (since it depends from now amd64 only libpicard-java)
  * Use jarwrapper at least for executable that should be tested since
    directly calling jars does not work in autopkgtest environment

 -- Andreas Tille <tille@debian.org>  Fri, 08 Feb 2019 11:36:02 +0100

artemis (17.0.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #893184
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.2.0
  * Class FTPSeekableStream should not be excluded
  * Update patch that prevents copying of non-existing files
  * d/rules: Use dh_auto_build instead of $(MAKE)
  * All JAR files named lower case according to Java policy
  * d/watch: use xz compression

 -- Andreas Tille <tille@debian.org>  Tue, 14 Aug 2018 13:59:24 +0200
