=== debian/control ===
--- 
+++ 
@@ -1,9 +1,9 @@
 Source: artemis
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
-Uploaders: Afif Elghraoui <afif@debian.org>
+Uploaders: Andreas Tille <tille@debian.org>
 Section: science
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11~),
                default-jdk,
                javahelper,
                libbiojava-java,
@@ -22,15 +22,16 @@
                ant-optional,
                junit4,
                libhamcrest-java,
+               libjs-jquery,
 # To convert gifs to png because gif is not a supported icon format
                imagemagick
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-med/artemis.git
-Vcs-Git: https://anonscm.debian.org/git/debian-med/artemis.git
+Standards-Version: 4.3.0
+Vcs-Browser: https://salsa.debian.org/med-team/artemis
+Vcs-Git: https://salsa.debian.org/med-team/artemis.git
 Homepage: http://www.sanger.ac.uk/science/tools/artemis
 
 Package: artemis
-Architecture: all
+Architecture: amd64
 Depends: ${misc:Depends},
          ${java:Depends},
 # java:Depends adds a dependency on a versioned biojava, but that does not
