=== debian/rules ===
--- 
+++ 
@@ -38,13 +38,20 @@
 	dh $@ --with javahelper
 
 override_dh_auto_build:
-	$(MAKE) jar
+	dh_auto_build -- jar
 	sed 's|@CLASSPATH@|$(subst :,$(space),$(subst $(CURDIR),/usr/share/java/artemis.jar,$(CLASSPATH)))|g' debian/artemis.manifest.in > \
 		debian/artemis.manifest
 	convert images/helix.gif -resize 96x96\! images/helix.png
 
 override_dh_auto_test:
-	cd test && ant -f build-test.xml test-headless -DEMBOSS_ROOT=/usr
+ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
+	ln -s /usr/share/javascript/jquery/jquery.js test/coverage-report/evosuite-auto-tests/files/jquery.js
+	ln -s /usr/share/javascript/jquery/jquery.js test/coverage-report/evosuite-auto-tests/html/files/jquery.js
+	mkdir lib
+	cd test && ant -f build-test.xml run-manual-tests-headless -DEMBOSS_ROOT=/usr # || true
+	rm -rf lib
+	rm test/coverage-report/evosuite-auto-tests/files/jquery.js test/coverage-report/evosuite-auto-tests/html/files/jquery.js
+endif
 
 override_dh_auto_clean:
 	dh_auto_clean
