=== debian/tests/control ===
Test-Command: xvfb-run --auto-servernum --server-args="-screen 0 1024x768x24" /usr/bin/bamview -h
Depends: @, xvfb, xauth
Restrictions: allow-stderr
