## artemis 18.1.0%2Bdfsg

=== debian/control ===
Source: artemis
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Pierre Gruet <pgtdebian@free.fr>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               default-jdk,
               javahelper,
               maven-debian-helper,
               libmaven-enforcer-plugin-java,
               libproperties-maven-plugin-java,
               libmaven-install-plugin-java,
               libmaven-antrun-plugin-java,
               libbuild-helper-maven-plugin-java,
               libmaven-assembly-plugin-java,
               libbiojava-java,
               libj2ssh-java,
               libibatis-java,
               liblog4j1.2-java,
               libpostgresql-jdbc-java,
               libpicard-java,
               libhtsjdk-java,
               libcommons-net-java,
               libcommons-lang3-java,
               libcommons-logging-java,
               libbatik-java,
               jemboss,
               libcglib-java,
# For tests
               junit4 <!nocheck>,
               libslf4j-java <!nocheck>,
               libmockito-java <!nocheck>,
               libjs-jquery,
# To convert gifs to png because gif is not a supported icon format
               imagemagick
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/artemis
Vcs-Git: https://salsa.debian.org/med-team/artemis.git
Homepage: https://sanger-pathogens.github.io/Artemis/Artemis/
Rules-Requires-Root: no

Package: artemis
Architecture: amd64
Depends: ${misc:Depends},
         ${java:Depends},
# java:Depends adds a dependency on a versioned biojava, but that does not
# contain the required biojava.jar file
         libbiojava-java,
         libhtsjdk-java,
         libcommons-net-java,
         libcommons-lang3-java,
         libcommons-logging-java,
         libbatik-java,
         libj2ssh-java,
         libibatis-java,
         liblog4j1.2-java,
         libpostgresql-jdbc-java,
         libpicard-java,
         jemboss,
         libcglib-java,
         default-jre,
         jarwrapper
Description: genome browser and annotation tool
 Artemis is a genome browser and annotation tool that allows visualisation of
 sequence features, next generation data and the results of analyses within the
 context of the sequence, and also its six-frame translation.
 .
 This package includes the Artemis genome browser, the Artemis Comparison
 Tool (ACT), and the DNAplotter and BamView utilities.
