## artemis 18.1.0+dfsg

=== debian/changelog ===
artemis (18.1.0+dfsg-6) unstable; urgency=medium

  * Using -Xmx1946m instead of -Xm4g in the autopkgtest, so that it runs on
    32-bit arches

 -- Pierre Gruet <pgt@debian.org>  Sun, 07 Nov 2021 15:25:19 +0100

artemis (18.1.0+dfsg-5) unstable; urgency=medium

  * Upload to unstable, setting the package as Architecture: all seems to be
    OK in experimental
  * Setting the classpath in d/rules is not needed with a Maven build

 -- Pierre Gruet <pgt@debian.org>  Sat, 06 Nov 2021 15:29:24 +0100

artemis (18.1.0+dfsg-4) experimental; urgency=medium

  * Removing useless dependency on jarwrapper
  * Correcting Repository-* fields in d/u/metadata
  * Raising Standards version to 4.6.0 (no change)
  * Providing metainfo files
  * Setting Architecture to all as picard-tools is now Architecture: all
  * Removing the Lintian override about big /usr/share, useless as the package
    is now Architecture: all.

 -- Pierre Gruet <pgt@debian.org>  Fri, 05 Nov 2021 21:14:27 +0100

artemis (18.1.0+dfsg-3) unstable; urgency=medium

  * Changing homepage in d/control and manpages (Closes: #974680)
  * Standards version set to 4.5.1 (no changes needed)

 -- Pierre Gruet <pgtdebian@free.fr>  Fri, 04 Dec 2020 17:28:17 +0100

artemis (18.1.0+dfsg-2) unstable; urgency=medium

  * Marking current autopkgtest as superficial (Closes: #974437)
  * Adding an autopkgtest running some build tests

 -- Pierre Gruet <pgtdebian@free.fr>  Thu, 12 Nov 2020 21:44:47 +0100

artemis (18.1.0+dfsg-1) unstable; urgency=medium

  [ Andreas Tille ]
  * Fix edam syntax input+output is singular

  [ Michael R. Crusoe ]
  * forwarded a patch upstream

  [ Steffen Moeller ]
  * Added ref to conda
  * d/u/metadata: yamllint

  [ Pierre Gruet ]
  * New upstream version 18.1.0+dfsg
    Closes: #963430
  * Bumping Standards version to 4.5.0 (Rules-Requires-Root field added)
  * Depending on debhelper-compat
  * Updating Files-Excluded patterns in debian/copyright
  * Removing patches written for the old ant build
  * Adding metadata relative to Issues and Repository
  * Updating dependencies as Maven now replaces ant for the build
  * Updating debian/copyright as paths have changed
  * Building with Maven instead of ant
  * Fixing insecure uri and trailing whitespaces in debian/control
  * Replacing symlinks to jars with upstream-provided scripts
  * Updating and completing manpages of act and dnaplotter

 -- Pierre Gruet <pgtdebian@free.fr>  Sun, 06 Sep 2020 22:43:16 +0200
