=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: artemis
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>,
-           Pierre Gruet <pgtdebian@free.fr>
+           Pierre Gruet <pgt@debian.org>
 Section: science
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -34,14 +34,14 @@
                libjs-jquery,
 # To convert gifs to png because gif is not a supported icon format
                imagemagick
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/artemis
 Vcs-Git: https://salsa.debian.org/med-team/artemis.git
 Homepage: https://sanger-pathogens.github.io/Artemis/Artemis/
 Rules-Requires-Root: no
 
 Package: artemis
-Architecture: amd64
+Architecture: all
 Depends: ${misc:Depends},
          ${java:Depends},
 # java:Depends adds a dependency on a versioned biojava, but that does not
@@ -59,8 +59,7 @@
          libpicard-java,
          jemboss,
          libcglib-java,
-         default-jre,
-         jarwrapper
+         default-jre
 Description: genome browser and annotation tool
  Artemis is a genome browser and annotation tool that allows visualisation of
  sequence features, next generation data and the results of analyses within the
